Bug 1387174 - GDEPLOY: Mounting volume with SSL service enable on single client failed with trace message
Summary: GDEPLOY: Mounting volume with SSL service enable on single client failed with...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: gdeploy
Version: rhgs-3.2
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: ---
: RHGS 3.1.3 Async
Assignee: Sachidananda Urs
QA Contact: Manisha Saini
URL:
Whiteboard:
Depends On:
Blocks: 1351528
TreeView+ depends on / blocked
 
Reported: 2016-10-20 10:16 UTC by Manisha Saini
Modified: 2017-03-07 17:45 UTC (History)
5 users (show)

Fixed In Version: gdeploy-2.0.1-3
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-02-07 11:35:10 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:0260 normal SHIPPED_LIVE Important: ansible and gdeploy security and bug fix update 2017-02-07 16:32:47 UTC

Description Manisha Saini 2016-10-20 10:16:34 UTC
Description of problem:
Mounting volume with SSL enable on single client is failing with the trace message.
It works fine with single IP followed by comma ',' in ssl_clients

Version-Release number of selected component (if applicable):

[root@dhcp37-148 glusterd]# rpm -qa | grep gluster
glusterfs-3.8.4-2.el7rhgs.x86_64
glusterfs-cli-3.8.4-2.el7rhgs.x86_64
gluster-nagios-common-0.2.4-1.el7rhgs.noarch
glusterfs-libs-3.8.4-2.el7rhgs.x86_64
glusterfs-client-xlators-3.8.4-2.el7rhgs.x86_64
glusterfs-api-3.8.4-2.el7rhgs.x86_64
glusterfs-server-3.8.4-2.el7rhgs.x86_64
gluster-nagios-addons-0.2.8-1.el7rhgs.x86_64
vdsm-gluster-4.17.33-1.el7rhgs.noarch
glusterfs-fuse-3.8.4-2.el7rhgs.x86_64
glusterfs-geo-replication-3.8.4-2.el7rhgs.x86_64
python-gluster-3.8.4-2.el7rhgs.noarch

[root@dhcp37-148 glusterd]# cat /etc/redhat-release 
Red Hat Enterprise Linux Server release 7.3 (Maipo)

[root@dhcp37-148 glusterd]# cat /etc/redhat-storage-release 
Red Hat Gluster Storage Server 3.2.0


How reproducible:
Consistently

Steps to Reproduce:
1.Install Gdeploy
2.Run gdeploy script which Create volume with ssl service enable using gdeploy and mount it on a single client

[hosts]
10.70.37.69
10.70.37.148

[backend-setup]
devices=/dev/sdb
vgs=vg1
pools=pool1
lvs=lv1
mountpoints=/mnt/brick

[volume]
action=create
volname=ssl
transport=tcp
replica_count=2
force=yes
enable_ssl=yes
ssl_clients=10.70.37.148
brick_dirs=/data/1

[clients]
action=mount
hosts=10.70.37.148
volname=ssl
fstype=glusterfs
client_mount_points=/mnt/ssl_mount
 

Actual results:
Mount failed with the trace when only single IP is given in ssl_client.
If the IP is provided with a comma ',' followed in ssl_client,it works fine

Traceback (most recent call last):
  File "/usr/bin/gdeploy", line 198, in <module>
    main(sys.argv[1:])
  File "/usr/bin/gdeploy", line 183, in main
    call_features()
  File "/usr/lib/python2.7/site-packages/gdeploylib/call_features.py", line 36, in call_features
    map(get_feature_dir, Global.sections)
  File "/usr/lib/python2.7/site-packages/gdeploylib/call_features.py", line 83, in get_feature_dir
    section_dict, yml = feature_call(section_dict)
  File "/usr/lib/python2.7/site-packages/gdeployfeatures/volume/volume.py", line 48, in volume_create
    Global.hosts))
TypeError: cannot concatenate 'str' and 'list' objects



Expected results:
Mount should be successfull with only giving single  IP in ssl_client without comma

Comment 2 Sachidananda Urs 2016-10-20 10:25:43 UTC
Commit: https://github.com/gluster/gdeploy/commit/21051a7c1 fixes the issue.

Comment 6 Manisha Saini 2016-11-21 17:43:20 UTC
Verified this Bug on

# rpm -qa | grep gdeploy
gdeploy-2.0.1-4.el7rhgs.noarch

# rpm -qa | grep ansible
ansible-2.2.0.0-1.el7.noarch

AS the issue is no more observed,Mount with single client (with ssl service enable) is successfull.
Hence marking this Bug as verified

Comment 8 errata-xmlrpc 2017-02-07 11:35:10 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2017-0260.html


Note You need to log in before you can comment on or make changes to this bug.